from vanirio.pipeline.interface.base import Base


class Textfield(Base):
    def __init__(self, label: str, tag: str):
        """
        A Textfield interface object is used as a parameter for module
        software. The interface can be used for string values.

        :param label: GUI label name
        :param tag: Module tag name
        """
        super().__init__()
        self.label = label
        self.tag = tag
        self._type = 'TEXTFIELD'
